

// Init
var map = L.map('map').setView([51.0, 10.0], 6);
// Base Layers and Layer Control
var base = {
"S/W" : L.TileLayer.provider('OpenStreetMap.BlackAndWhite'),
"TOP":  L.TileLayer.provider('Thunderforest.OpenCycleMap'),
"OpenStreetMap": L.TileLayer.provider('OpenStreetMap.Mapnik')
};



overlays = {
"Offices": L.cartoDB('http://ricckli.cartodb.com/api/v2/sql?q=SELECT * FROM consultancy_offices_in_germany', {
pointToLayer: function(feature, latlng) {
return L.marker(latlng, {
icon: L.icon({
iconSize: [27, 27],
iconAnchor: [13, 27],
popupAnchor: [1, -24],
iconUrl: 'http://scripts.digital-geography.com/markers/star-3.png'
})
})
},
onEachFeature: function(feature, layer) {
layer.bindPopup('<strong>' + feature.properties.name  + '</strong><br>' + feature.properties.description + '</br>' + feature.properties.adress);
}
})};
map.addLayer(base.OpenStreetMap);
map.addLayer(overlays.Offices);
var layersControl = L.control.layers(base,overlays);
layersControl.addTo(map);